Control Session Host Provisioning - Post
Control provisioning of a hostpool.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/hostPools/{hostPoolName}/sessionHostManagements/default/controlSessionHostProvisioning?api-version=2026-01-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
host
|
path | True |
string minLength: 3maxLength: 64 pattern: ^[A-Za-z0-9@.\-_ ]*$ |
The name of the host pool within the specified resource group |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| action | True |
Action types for controlling hostpool update. |
|
| cancelMessage |
string maxLength: 260 |
The cancel message sent to the user on the session host. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
SessionHostManagements_ControlSessionHostProvisioning_Post
Sample request
POST https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/sessionHostManagements/default/controlSessionHostProvisioning?api-version=2026-01-01-preview
{
"action": "Cancel",
"cancelMessage": "Cancel host pool provisioning"
}
Sample response
Location: https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/hostPools/hostPool1/sessionHostManagements/default/operationResults/ed5d502c-acaa-42ec-ad61-0d8488a9fd1d
Retry-After: 60
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Host |
Action types for controlling hostpool provisioning. |
|
Host |
Object containing control action for hostpool provisioning. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
HostPoolProvisioningAction
Action types for controlling hostpool provisioning.
| Value | Description |
|---|---|
| Cancel |
Cancel the hostpool provisioning. |
HostPoolProvisioningControlParameter
Object containing control action for hostpool provisioning.
| Name | Type | Description |
|---|---|---|
| action |
Action types for controlling hostpool update. |
|
| cancelMessage |
string maxLength: 260 |
The cancel message sent to the user on the session host. |